PreviewTable Class Reference

`#include <ImportASCIIDialog.h>`

Inheritance diagram for PreviewTable:

## Signals

void | modifiedColumnType ()

## Public Member Functions

void | clear ()
QStringList | columnFormats ()
QList< int > | columnTypes ()
void | importASCII (const QString &fname, const QString &sep, int ignoredLines, bool renameCols, bool stripSpaces, bool simplifySpaces, bool importComments, const QString &commentString, int importMode, const QLocale &importLocale, int endLine, int maxRows)
| PreviewTable (int numRows, int numCols, QWidget *parent=0, const char *name=0)
void | resetHeader ()
void | setNumericPrecision (int prec)
void | setSelectedColumn (int col)
void | showColTypeDialog ()

## Private Slots

bool | eventFilter (QObject *object, QEvent *e)
void | nextColumn ()
void | prevColumn ()
void | setColumnFormat (const QString &)
void | setColumnType (int)
void | setHeader ()
void | updateColumn (int sc)

## Private Member Functions

void | addColumns (int c)

## Private Attributes

QPushButton * | buttonNext
QPushButton * | buttonPrev
QStringList | col_label
QList< int > | colTypes
QStringList | comments
QStringList | d_col_format
int | d_numeric_precision
int | d_selected_column
int | d_start_col
QComboBox * | formatBox
QLabel * | formatLabel
QGroupBox * | gb1
QComboBox * | typesBox

## Constructor & Destructor Documentation

## PreviewTable()

PreviewTable::PreviewTable | ( | int | numRows,
|  | int | numCols,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

References col_label, colTypes, comments, d_col_format, d_start_col, Table::Numeric, and setHeader().

## Member Function Documentation

## addColumns()

void PreviewTable::addColumns | ( | int | c | ) |

private

References col_label, colTypes, comments, d_col_format, and Table::Numeric.

Referenced by columnFormats(), and importASCII().

## clear()

void PreviewTable::clear | ( |  | ) |

Referenced by ImportASCIIDialog::previewTable().

## columnFormats()

QStringList PreviewTable::columnFormats | ( |  | ) |

inline

References addColumns(), d_col_format, eventFilter(), modifiedColumnType(), nextColumn(), prevColumn(), setColumnFormat(), setColumnType(), setHeader(), setSelectedColumn(), showColTypeDialog(), and updateColumn().

## columnTypes()

QList<int> PreviewTable::columnTypes | ( |  | ) |

inline

References colTypes.

## eventFilter

bool PreviewTable::eventFilter | ( | QObject * | object,
|  | QEvent * | e
| ) |  |

private slot

References d_selected_column, and showColTypeDialog().

Referenced by columnFormats().

## importASCII()

void PreviewTable::importASCII | ( | const QString & | fname,
|  | const QString & | sep,
|  | int | ignoredLines,
|  | bool | renameCols,
|  | bool | stripSpaces,
|  | bool | simplifySpaces,
|  | bool | importComments,
|  | const QString & | commentString,
|  | int | importMode,
|  | const QLocale & | importLocale,
|  | int | endLine,
|  | int | maxRows
| ) |  |

References addColumns(), col_label, colTypes, comments, d_numeric_precision, d_start_col, Table::NewColumns, Table::NewRows, Table::Numeric, Table::Overwrite, MdiSubWindow::parseAsciiFile(), and setHeader().

Referenced by ImportASCIIDialog::previewTable().

## modifiedColumnType

void PreviewTable::modifiedColumnType | ( |  | ) |

signal

Referenced by columnFormats(), and setColumnType().

## nextColumn

void PreviewTable::nextColumn | ( |  | ) |

private slot

References d_selected_column, and updateColumn().

Referenced by columnFormats(), and showColTypeDialog().

## prevColumn

void PreviewTable::prevColumn | ( |  | ) |

private slot

References d_selected_column, and updateColumn().

Referenced by columnFormats(), and showColTypeDialog().

## resetHeader()

void PreviewTable::resetHeader | ( |  | ) |

References col_label, colTypes, comments, and d_col_format.

Referenced by ImportASCIIDialog::previewTable().

## setColumnFormat

void PreviewTable::setColumnFormat | ( | const QString & | format | ) |

private slot

References d_col_format, and d_selected_column.

Referenced by columnFormats(), and showColTypeDialog().

## setColumnType

void PreviewTable::setColumnType | ( | int | type | ) |

private slot

References colTypes, d_col_format, d_selected_column, Table::Date, formatBox, formatLabel, modifiedColumnType(), Table::Text, and Table::Time.

Referenced by columnFormats(), showColTypeDialog(), and updateColumn().

## setHeader

void PreviewTable::setHeader | ( |  | ) |

private slot

References col_label, and comments.

Referenced by columnFormats(), importASCII(), and PreviewTable().

## setNumericPrecision()

void PreviewTable::setNumericPrecision | ( | int | prec | ) |

inline

References d_numeric_precision.

Referenced by ImportASCIIDialog::initPreview().

## setSelectedColumn()

void PreviewTable::setSelectedColumn | ( | int | col | ) |

References d_selected_column.

Referenced by columnFormats(), and ImportASCIIDialog::showColTypeDialog().

## showColTypeDialog()

void PreviewTable::showColTypeDialog | ( |  | ) |

References buttonNext, buttonPrev, d_selected_column, formatBox, formatLabel, gb1, nextColumn(), prevColumn(), setColumnFormat(), setColumnType(), typesBox, and updateColumn().

Referenced by columnFormats(), ImportASCIIDialog::columnFormats(), eventFilter(), and ImportASCIIDialog::showColTypeDialog().

## updateColumn

void PreviewTable::updateColumn | ( | int | sc | ) |

private slot

References buttonNext, buttonPrev, colTypes, gb1, setColumnType(), and typesBox.

Referenced by columnFormats(), nextColumn(), prevColumn(), and showColTypeDialog().

## Member Data Documentation

## buttonNext

QPushButton* PreviewTable::buttonNext

private

Referenced by showColTypeDialog(), and updateColumn().

## buttonPrev

QPushButton * PreviewTable::buttonPrev

private

Referenced by showColTypeDialog(), and updateColumn().

## col_label

QStringList PreviewTable::col_label

private

Referenced by addColumns(), importASCII(), PreviewTable(), resetHeader(), and setHeader().

## colTypes

QList<int> PreviewTable::colTypes

private

Referenced by addColumns(), columnTypes(), importASCII(), PreviewTable(), resetHeader(), setColumnType(), and updateColumn().

## comments

QStringList PreviewTable::comments

private

Referenced by addColumns(), importASCII(), PreviewTable(), resetHeader(), and setHeader().

## d_col_format

QStringList PreviewTable::d_col_format

private

Referenced by addColumns(), columnFormats(), PreviewTable(), resetHeader(), setColumnFormat(), and setColumnType().

## d_numeric_precision

int PreviewTable::d_numeric_precision

private

Referenced by importASCII(), and setNumericPrecision().

## d_selected_column

int PreviewTable::d_selected_column

private

Referenced by eventFilter(), nextColumn(), prevColumn(), setColumnFormat(), setColumnType(), setSelectedColumn(), and showColTypeDialog().

## d_start_col

int PreviewTable::d_start_col

private

Referenced by importASCII(), and PreviewTable().

## formatBox

QComboBox* PreviewTable::formatBox

private

Referenced by setColumnType(), and showColTypeDialog().

## formatLabel

QLabel* PreviewTable::formatLabel

private

Referenced by setColumnType(), and showColTypeDialog().

## gb1

QGroupBox* PreviewTable::gb1

private

Referenced by showColTypeDialog(), and updateColumn().

## typesBox

QComboBox * PreviewTable::typesBox

private

Referenced by showColTypeDialog(), and updateColumn().

The documentation for this class was generated from the following files:

- qtiplot/src/core/ImportASCIIDialog.h
- qtiplot/src/core/ImportASCIIDialog.cpp